Package org.eclipse.draw2d

# Class MouseEvent

java.lang.Object
java.util.EventObject
org.eclipse.draw2d.InputEvent
org.eclipse.draw2d.MouseEvent

All Implemented Interfaces:
  `Serializable`

public class MouseEvent extends InputEvent
An event caused by the user interacting with the mouse.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`button`
The button that was pressed or released: {1, 2, 3}.
`int`
`x`
The X coordinate of the mouse event.
`int`
`y`
The Y coordinate of the mouse event.

### Fields inherited from class org.eclipse.draw2d.InputEvent

`ALT, ANY_BUTTON, BUTTON1, BUTTON2, BUTTON3, BUTTON4, BUTTON5, CONTROL, SHIFT`

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`MouseEvent(int x, int y, EventDispatcher dispatcher, IFigure f, int button, int stateMask)`
Deprecated.
Use `MouseEvent(EventDispatcher, IFigure, org.eclipse.swt.events.MouseEvent)` instead.
`MouseEvent(EventDispatcher dispatcher, IFigure source, MouseEvent me)`
Constructs a new MouseEvent.

## Method Summary

Modifier and Type
Method
Description
`Point`
`getLocation()`
`String`
`toString()`

### Methods inherited from class org.eclipse.draw2d.InputEvent

`consume, getState, isConsumed`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### x

public int x
The X coordinate of the mouse event.

### y

public int y
The Y coordinate of the mouse event.

### button

public int button
The button that was pressed or released: {1, 2, 3}.

## Constructor Details

### MouseEvent

public MouseEvent(EventDispatcher dispatcher, IFigure source, MouseEvent me)
Constructs a new MouseEvent.

Parameters:
  `dispatcher` - the event dispatcher
  `source` - the source of the event
  `me` - an SWT mouse event used to supply the state mask, button and position
Since:
  3.7

### MouseEvent

public MouseEvent(int x, int y, EventDispatcher dispatcher, IFigure f, int button, int stateMask)
Deprecated.
Use `MouseEvent(EventDispatcher, IFigure, org.eclipse.swt.events.MouseEvent)` instead.
Constructor for MouseEvent.

Parameters:
  `x` -
  `y` -
  `dispatcher` -
  `f` -
  `button` -
  `stateMask` -
Since:
  3.6

## Method Details

### getLocation

public Point getLocation()

Returns:
  the location of this mouse event

### toString

public String toString()

Overrides:
  `toString` in class `EventObject`
See Also:
  - `Object.toString()`